using SqlSugar;
using System;

namespace YBDevice.Entity
{
    /// <summary>
    /// 儿童体质结果
    /// </summary>
    [SugarTable("YB_ChildPhysiqueResult", TableDescription = "儿童体质结果", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_ChildPhysiqueResult
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "用户ID", IndexGroupNameList = new string[] { "index_userid" })]
        public int UserId { get; set; }

        /// <summary>
        /// 家庭成员ID
        /// </summary>
        [SugarColumn(ColumnDescription = "家庭成员ID", IndexGroupNameList = new string[] { "index_familyid" })]
        public int FamilyId { get; set; }
        /// <summary>
        /// 总分
        /// </summary>
        [SugarColumn(ColumnDescription = "总分")]
        public int Score { get; set; }
        /// <summary>
        /// 计算时间
        /// </summary>
        [SugarColumn(ColumnDescription = "计算时间")]
        public DateTime CreateTime { get; set; }
    }
}
